Bug 1418864 - Error during replication configuration save
Summary: Error during replication configuration save
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Replication
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: cfme-future
Assignee: Gregg Tanzillo
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 22:38 UTC by Saif Ali
Modified: 2020-03-11 15:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 19:37:08 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screen shot (94.77 KB, image/png)
2017-02-02 22:38 UTC, Saif Ali
no flags Details

Description Saif Ali 2017-02-02 22:38:06 UTC
Created attachment 1247271 [details]
screen shot

Description of problem:
For some reason when we try to save replication setting on the global its trying to connect with peer mode, and its ignoring md5 mode.
 
[----] E, [2017-02-01T13:29:25.976095 #22839:13c6e40] ERROR -- : MIQ(ops_controller-pglogical_save_subscriptions): Error during replication configuration save: Failed to save subscription to 172.27.18.120: ERROR:  could not connect to the postgresql server: FATAL:  Peer authentication failed for user "root"

Remote Setting:
###
[root@cloud-azr-bd01 etice]# cat /var/opt/rh/rh-postgresql95/lib/pgsql/data/pg_hba.conf 
# TYPE  DATABASE USER  ADDRESS       METHOD
local   all      all                 peer map=usermap
host    all      all   all           md5
#hostssl all      all   all           md5
host  replication  all  all  md5
###

Version-Release number of selected component (if applicable):
Customer updated from 4.0 to 4.1, and 4.2

When I setup replication 4.2 appliances everything look good 
How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Nick Carboni 2017-02-03 18:53:34 UTC
This feels like a step was missed in the migration process.

In the upgrade document [1] there is a step to add a line to pg_ident.conf

Add the following line in the /var/opt/rh/rh-postgresql95/lib/pgsql/data/pg_ident.conf file:

usermap    postgres    root

Can you ensure that this line was added to all postgres servers (remote and global)?

We're working to reproduce this locally.

[1] https://access.redhat.com/documentation/en/red-hat-cloudforms/4.2/single/migrating-to-red-hat-cloudforms-42/

Comment 3 Gregg Tanzillo 2017-02-03 19:13:19 UTC
I was able to recreate the error with Nick by removing the line mentioned above from the pg_ident.conf file, restarting PG and EVM.

Adding the line back to the file file, restarting PG and EVM allow the replication subscription to be created successfully.

Comment 4 Saif Ali 2017-02-03 19:28:15 UTC
Gregg, 
The customer added the below line to the global and everything looks good now.
usermap    postgres    root

Comment 5 Nick Carboni 2017-02-03 19:37:08 UTC
As this was a missed upgrade step. I'm going to close this as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.